Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbComment

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<Comment>
          org.jbpm.services.task.impl.model.xml.JaxbComment

All Implemented Interfaces:
  Externalizable, Serializable, Comment

    public class JaxbComment

extends AbstractJaxbTaskObject<Comment>
implements Comment

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`realClass`

Constructor Summary
`JaxbComment()`
`JaxbComment(Comment comment)`

Method Summary
`Date` | `getAddedAt()`
`User` | `getAddedBy()`
`Long` | `getId()`
`String` | `getText()`

Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Constructor Detail

### JaxbComment

    public JaxbComment()

### JaxbComment

    public JaxbComment(Comment comment)

Method Detail

### getId

    public Long getId()

  Specified by:
    `getId` in interface `Comment`

### getText

    public String getText()

  Specified by:
    `getText` in interface `Comment`

### getAddedBy

    public User getAddedBy()

  Specified by:
    `getAddedBy` in interface `Comment`

### getAddedAt

    public Date getAddedAt()

  Specified by:
    `getAddedAt` in interface `Comment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.